VelocityReport Plugin - Defect #298

foreach loop over foundset skips first record
05/11/2011 11:54 PM - Jeroen de Vries

Status: Closed Start date: 05/11/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

v1.4.11 skips the first record of a foundset.
| reverted back to v1.4.10, in that version this is not the issue.

History

#1 - 05/12/2011 01:41 AM - Patrick Talbot

Hum.. | did change something there but looking at the code | changed it shouldn't do that.
| will make some tests, it shouldn't be difficult to fix.
Thanks for reporting!

#2 - 05/12/2011 09:04 PM - Patrick Talbot

- Status changed from New to In Progress

#3 - 05/12/2011 09:07 PM - Patrick Talbot

| haven't been able to reproduce.
| found a little problem when using the defaultReportParameter 'onBasedLoops' though and | have corrected it in v1.4.12

Could you check that one, and if you still see this behavior, send me a little sample?

#4 - 05/16/2011 09:26 AM - Jeroen de Vries

- File velocity _skip_first_record_in_dataset_sample.servoy added

The problem is not solved but upon closer inspection | found that the problem is with dataset (I didn't check foundsets).
Here is a sample. The first record isn't skipped but not evaluated which | didn't see before due to other processing in my template.

#5 - 05/17/2011 02:53 PM - Patrick Talbot
Indeed it was on Dataset only. Have found and fixed the issue (your sample did help, thanks!)

Will release an update v1.4.13 soon.

#6 - 05/17/2011 05:07 PM - Patrick Talbot

- Status changed from In Progress to Closed

Fixed with v1.4.13

Files

velocity_skip_first_record_in_dataset_sample.servoy 3.85 KB 05/16/2011 Jeroen de Vries
